Bug 144743 - piix spinlock bug during boot.
piix spinlock bug during boot.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
: 144768 153280 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-01-10 21:31 EST by P H
Modified: 2015-01-04 17:15 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-20 15:13:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The kernel panic on booting 2.6.10-1.750 (124.86 KB, image/jpeg)
2005-01-30 18:14 EST, Gérard Milmeister
no flags Details

  None (edit)
Description P H 2005-01-10 21:31:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.2; .NET 
CLR 1.1.4322)

Description of problem:
Will not bot after Kernel update to kernel-2.6.10-1.737_FC3 from 

Error at boot up is :

Kernel Panic - not syncing: driver/ide/pci/piix.c.232: spin_lock 
(drivers/ide/ide.c:c0364f68) already locked by driver/ide/ide-

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Load kernel-2.6.10-1.737_FC3

Actual Results:  Kernel Panic - not syncing: 
driver/ide/pci/piix.c.232: spin_lock (drivers/ide/ide.c:c0364f68) 
already locked by driver/ide/ide-iops.c/1222

Expected Results:  Should have booted

Additional info:
Comment 1 Dave Jones 2005-01-11 11:19:57 EST
*** Bug 144768 has been marked as a duplicate of this bug. ***
Comment 2 Ed Marshall 2005-01-11 19:10:24 EST
Getting the exact same thing here, except the driver involved is the
es1968 driver. It panics during the "Initializing hardware" step. No
cut-n-paste log, for obvious reasons. ;-)

I'd be happy to supply any additional system information that might be
Comment 3 Ed Marshall 2005-01-13 21:39:03 EST
Problem solved as of 2.6.10-1.737_FC3; I boot up just fine now.
Comment 4 P H 2005-01-14 06:41:42 EST
Updated to kernel-2.6.10-1.741_FC3 and still will not boot.
Comment 5 Gérard Milmeister 2005-01-20 17:39:32 EST
The same here: almost the same message, but with
(drivers/ide/ide.c:c0365448) already locked by driver/ide/ide-iops.c/1222.

This is kernel-2.6.10-1.741_FC3.

Seems very nasty too me.
Comment 6 Gérard Milmeister 2005-01-20 18:05:18 EST
Same with kernel-2.6.10-1.750_FC3.

Can we make this priority high?
Comment 7 Gérard Milmeister 2005-01-30 18:14:02 EST
Created attachment 110420 [details]
The kernel panic on booting 2.6.10-1.750
Comment 8 Gérard Milmeister 2005-02-02 14:41:20 EST
The same with 2.6.10-1.760
Comment 9 Stuart Clark 2005-02-08 00:24:45 EST
I get the same problem.

similar to:
Comment 10 Bill Rourk 2005-02-20 11:53:00 EST
I also have the same problem, except it only occurs if a DVD is in the DVD drive on 
boot up, CD's do not cause a problem.   This happens with kernel 2.6.10-1.12_FC2
The DVD is /dev/hda, the Hard Drive is a SATA on /dev/hdc

The Message is :
remounting root filesystem in read-write mode [OK]

kernel panic - not syncing: drivers/ide/pci/atiixp.c:129:
spin_lock(drivers/ide/ide.c:c037a5a8) already locked by drivers/ide/ide-iops.c/1222
Comment 11 Vesa Jääskeläinen 2005-02-26 08:53:44 EST
Having the same problem with kernel-2.6.10-1.14_FC2. It comes right
after "Red Hat nash version 3.5.22 starting".

Booting with kernel-2.6.9-1.6_FC2 doens't cause any problems.

Output was:
Kernel panic - not syncing: drivers/ide/pci/piix.c:232:
spin_lock(drivers/ide/ide.c:c037a5a8) already locked by
Comment 12 Jordan Harkness 2005-04-01 20:41:21 EST
As posted on LinuxQuestions.org

I am able to boot with kernel 2.6.9-1.681_FC3 but not any newer versions.  If I
add the kernel parameter "ide=nodma" and add USE_DMA=0 to
/etc/sysconfig/harddisks , the system will boot but my buffered reads off my
disk drop to some silly low number of about 3MB/s.

Is this bug related?
Comment 13 Trevor Cordes 2005-04-05 08:20:45 EDT
As per the linuxquestions.org link, I posted there that I had this bug hit me on
2.6.10-1.8_FC2 on a E7205 chipset with DupliDisk1 hardware RAID1.  Turning off
all DMA allowed me to boot OK.  The DD1 has always had problems with DMA on most
chipsets, but the FC1 kernels would boot and either work with DMA or disable it
for me.
Comment 14 zzaxusl0a 2005-04-23 15:25:35 EDT
I am also seeing this bug.
FC3 kernel 2.6.9-1.667 will boot.
FC3 kernel 2.6.10-1.770_14.rhfc3.at   and FC3 kernel 2.6.11-1.14_FC3 lock after
~2 min.

Using 2.6.9 kernel I will see the following message, but the system will operate:
 timout waiting for DMA
  drivers/ide/pci/atiixp.c:205: spin_lock(drivers/ide/ide.c:0236e3a8) already
locked by drivers/ide/ide-io.c/168
  drivers/ide/ide-io.c:186: sin_unlock(drivers/ide/ide.c:0236e3a8) not locked
Using the other kernels results in:
kernel panic - not syncing: drivers/ide/pci/atiixp.c:109:
spin_lock(drivers/ide/ide.c:c03dc408) already locked by
drivers/ide/ide-io.c/169. (Not tainted)

System specs:
  ASUS Pundit-R system
  250GB Maxtor SATA HDD (model 7y250m0)

Glad to provide more info if needed.
Comment 15 Peter Lawler 2005-04-24 01:16:35 EDT
Same here as the original poster, but with 2.6.10-1.770. Silicon Image PCI0680
card. Will try now with 2.6.11-1.14
Comment 16 Peter Lawler 2005-04-24 01:30:20 EDT
No joy with that kernel, either. Original FC3 2.6.9-1.667 kernel boots fine.
Removing my acpi=force on the 2.6.10-1.770 has no effect either. The system
remains unusable.

I've seen a couple of posts and patches floating around, but am not eager to try
them as they're not in bugzilla :-)

Given that I really *need* the UATA performance, disabling IDE DMA is just not a
workable solution. Reverting to 2.6.9-1.667 kernel until further notice.
Comment 17 Peter Lawler 2005-04-24 01:46:18 EDT
[CentOS] Kernel Panic - not syncing: drivers -
"Enabling 32 bit mode for the drives in the BIOS cured this problem."

Hmm, next opportunity I have, I'll check my BIOS. Not too sure whether I have
the luxury or not. Info posted here so others may benefit.
Comment 19 zzaxusl0a 2005-04-25 22:31:32 EDT
FWIW -  moving to kernel 2.6.12-rc3 has resolved the kernel panic issues
However, DMA remains off to the DVD drive, resulting in poor DVD performance.
enabling DMA on the DVD and accessing results in errors in message log:
hda: DMA timeout retry
hda: timeout waiting for DMA
drivers/ide/pci/atiixp.c:109: spin_lock(drivers/ide/ide.c:c03f11a8) already
locked by drivers/ide/ide-io.c/116
drivers/ide/ide-io.c:127: spin_unlock(drivers/ide/ide.c:c03f11a8) not locked
hda: cdrom_decode_status: staus=0x51 { DriveReady SeekComplete Error }
hda: cdrom_decode_status: error=0x44 { AbortedCommand LastFailseSense 0x04 }
ide: failed opcode was: unknown
<more errors follow>

dma appears to be on for /dev/hdc (main HDD)
Comment 20 Peter Lawler 2005-04-25 23:33:01 EDT
I just tried fiddling with /etc/sysconfig/harddisks[aef] with DMA enabled in the
kernel but with DMA turned off via these files. Zero effect, still collapses.
Comment 21 Peter Lawler 2005-04-25 23:57:10 EDT
Interestingly enough, forcing DMA and other nice stuff in
/etc/sysconfig/harddisks causes the errors as seen in comment #19 with a 2.6.9
kernel, but no panic either.

(Following settings are through /etc/sysconfig/harddiskhd[aef]
/dev/hda (onboard controller)
EXTRA_PARAMS="-u1 -k1"

/dev/hd[ef] SIL0680
EXTRA_PARAMS="-u1 -k1"
Comment 22 Peter Lawler 2005-04-26 00:00:07 EDT
ooh, hda just threw CRC errors. turning off DMA there too :(
Comment 23 Peter Lawler 2005-04-26 00:02:44 EDT
Argh, too many kernel/BIOS/system parameters to fully test out. opefully someone
from redhat will get around to posting info here.
Comment 24 Dave Jones 2005-04-26 18:36:03 EDT
goes the kernel at http://people.redhat.com/davej/kernels/Fedora/FC3 fix this ?
Comment 25 Peter Lawler 2005-04-26 19:12:15 EDT
Ugh, without DMA that took forever to install ;-). At least this is a good
reminder to me to place your repo in my yum configs.

This message is to let you know I'm taking a look at it. I grabbed the i686
uniprocessor kernel. I'll do some fiddling throughout the day as time allows,
and get back to you as soon as I have a reasonable response.
Comment 26 Peter Lawler 2005-04-26 19:20:09 EDT
er, in a word. No. Same error as before if booting with DMA.

Well, almost the same. Now it tells me:
Kernel panic - not syncing: drivers/ide/pci/piix.c:231:
spin_lock(drivers/ide/ide.c:c03cef28) already locked by
driver/ide/ide-iops.c/1153. (Not tainted)
Comment 27 Peter Lawler 2005-05-02 23:59:33 EDT
Might there be any point in trying out the 2.6.11-1.21 kernel you put up on the
Comment 28 Dave Jones 2005-06-04 03:12:08 EDT
*** Bug 153280 has been marked as a duplicate of this bug. ***
Comment 29 Dave Jones 2005-06-04 03:14:27 EDT
two possibilities..

http://people.redhat.com/davej/kernels/Fedora/FC3/ hsa the next 2.6.11 based
test kernel

http://people.redhat.com/davej/kernels/test/ has a more experimental backport of
the FC4 kernel to FC3. (Though this has had little to no testing at all yet, so
be careful).

Both of these have numerous IDE layer fixes, so I'm interested to hear feedback
how they behave.
Comment 30 Peter Lawler 2005-06-05 20:57:07 EDT
I've just tried the 2.6.11-1.27_FC3 kernel, boots fine.

I want to leave it run for 24 hours to rough-check stability, then I'll give
your test kernels a spin around the park.
Comment 31 Peter Lawler 2005-06-10 18:15:06 EDT
both the .27 and .33 kernels seem to get stuck in a infinite loop panic after an
unknown period of time.
Comment 32 Claude Walston 2005-06-13 17:58:08 EDT
I had to reinstall both FC3 and FC4t3 (different discs - same computer)
Before the reinstall, both would boot with the latest kernels, 
Now, neither will boot with the 2.6.11 kernel.
The FC3 install will boot with the "original" kernel provided with the iso set.
The FC4 cannot even be installed because the kernel panics during the setup.

Any suggestions?
Comment 33 Pete Nelson 2005-06-27 20:16:42 EDT
I just saw this while installing FC4 to an old PC.  Started out as a panic
whenever I tried to access /dev/hdc (didn't save the syslog, sorry).  Rearranged
drives/cables and got this:
Kernel panic - not syncing: drivers/ide/pci/piix.c:232: spin_lock (drivers/
ide/ide.c:c03de668) already locked by drivers/ide/ide-iops.c/1235. (Not tainted)

Setup that caused errors on /dev/hdc:
 Primary IDE controller: (80-conductor cable)
  Master device: 8GB boot drive (Quantum Fireball)
  Slave device:  200GB storage drive (Seagate Barracuda 7200-7)
 Secondary controller: (40-conductor cable)
  Master device: 200GB storage drive (Seagate Barracuda 7200-7)
  Slave device:  CD-ROM (Dell OEM)

Setup that caused panic on boot:
 Primary IDE controller: (40-conductor cable)
  Master device: 8GB boot drive (Quantum Fireball)
  Slave device:  CD-ROM (Dell OEM)
 Secondary controller: (80-conductor cable)
  Master device: 200GB storage drive (Seagate Barracuda 7200-7)
  Slave device:  200GB storage drive (Seagate Barracuda 7200-7)

I replaced the 40-wire IDE ribbon cable, and the problem went away.  If you're
seeing this, check your cables!!
Comment 34 Michel Ludwig 2005-07-02 07:23:41 EDT
Still happens with 2.6.12-1.1387_FC4 (on an old Asus P2L97 mainboard with 
Intel 440LX chipset) 
Comment 35 Dave Jones 2005-07-15 15:16:30 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 36 Charles Bronson 2005-07-16 08:47:32 EDT
After updating to 2.6.12-1.1372_FC3 the problem has been fixed on my machine.
Thank You!
Comment 37 Peter Lawler 2005-07-16 08:53:34 EDT
Hi Dave,
Saw the release notes, and installed the kernel earlier today. I did not update
#30, as I experienced similar to #31. I'll try and get a 7 day uptime before
upadting, but at least it's booting without warnings. If I forget to update
this, assume all is fine ;-)
Comment 38 P H 2005-07-16 10:58:20 EDT
After updating to Kernel 2.6.12-1.1372_FC3 it now boots.

The only error I am seeing at boot is just after:

Red Hat Nash version 4.1.18 starting
target0:0:3: Domain Validation detected failure, dropping back
target0:0:3: Domain Validation detected failure, dropping back
target0:0:3: Domain Validation detected failure, dropping back
Comment 39 Trevor Cordes 2005-07-16 16:37:55 EDT
This latest 2.6.12-1.1372_FC3 appears to solve the problem for us.  I can boot
it with or without ide=nodma and it boots.  No panic/spinlock like before.  Bug
appears to be fixed.  (DMA still doesn't work with our DupliDisk1, but that's
another story and not necessarily (in fact almost definitely not) linux's fault.)
Comment 40 strife 2005-07-18 16:02:18 EDT
This broke our default config, whatever you did in the last couple of days 
within the FC3 train, it boots fine on the normal kernel that comes with the 
ISOs but when we run yum update and we grab the new kernel it gives us a 
kernel panic when it boots... we have about 60 or so servers running in a 
cluster on this config :D

Comment 41 Trevor Cordes 2005-07-18 16:33:30 EDT
You sure you aren't getting hit with bug #163437?  That's separate from this
bug.  Make some noise on the now very popular 163437.
Comment 42 Peter Lawler 2005-07-19 19:42:30 EDT
Been a few days. I've driven the system pretty hard. I'm happy. As far as I'm
concerned, this is closed for me.
Comment 43 Manoj Kumar Singh 2005-07-20 07:36:47 EDT
After 2.6.9_981, 2.6.12-1.1372_FC3 is the first kernel that seems to be working
properly on my PC. My hardware is PIII and 810e chipset motherboard. I could not
install FC4 on this hardware because of kernel panic during installation due to
syncing problem. How can i modify FC4 ISO to include FC4 version of this kernel
so  as to install FC4 on this hardware. 
Comment 44 Manoj Kumar Singh 2005-07-20 08:27:25 EDT
(In reply to comment #43)
> After 2.6.9_981, 2.6.12-1.1372_FC3 is the first kernel that seems to be working
> properly on my PC. My hardware is PIII and 810e chipset motherboard. I could not
> install FC4 on this hardware because of kernel panic during installation due to
> syncing problem. How can i modify FC4 ISO to include FC4 version of this kernel
> so  as to install FC4 on this hardware. 

It is 2.6.9-1.681_FC3, not 2.6.9_981
Comment 45 Dave Jones 2005-07-20 15:13:22 EDT
This issue should be fixed in the latest errata, please open new bugs for any of
the other issues (or add comments to existing bugs).


Note You need to log in before you can comment on or make changes to this bug.